<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@drawable/color_body_01">

    <include
            layout="@layout/app_toolbar"/>

    <android.support.v4.widget.SwipeRefreshLayout
            android:id="@+id/swiperefreshlayou"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingTop="20dp"
                    android:paddingBottom="20dp"
                    android:gravity="center_horizontal"
                    android:orientation="vertical"
                    android:background="@drawable/color_body_01">

                <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:src="@drawable/img_homehub_setting_step_2"/>

                <TextView
                        android:id="@+id/tvLoadingMsg"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="25dp"
                        android:gravity="center"
                        android:textColor="@color/color_text_01"
                        android:textSize="@dimen/size_font_02"
                        android:text="@string/layout_homehub_ble_step2_02"/>

                <TextView
                        android:id="@+id/tvLoadingMsg1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:textColor="@color/color_text_01"
                        android:textSize="@dimen/size_font_02"
                        android:text="@string/layout_homehub_ble_step2_03"/>

                <RelativeLayout
                        android:id="@+id/rlProgressLoading"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                    <ProgressBar
                            android:id="@+id/progressLoading"
                            android:theme="@style/CircleProgressBar"
                            style="@style/Widget.AppCompat.ProgressBar"
                            android:layout_width="55dp"
                            android:layout_height="55dp"/>

                    <TextView
                            android:id="@+id/tvConnectTime"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:includeFontPadding="false"
                            android:layout_centerInParent="true"
                            android:text=""
                            android:textColor="@color/color_text_01"
                            android:textSize="@dimen/size_font_05"
                            android:textStyle="bold"/>

                </RelativeLayout>


            </LinearLayout>

            <android.support.v7.widget.RecyclerView
                    android:id="@+id/rvHomhubList"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:overScrollMode="never"
                    android:visibility="gone"/>

        </LinearLayout>
    </android.support.v4.widget.SwipeRefreshLayout>

    <View
            style="@style/width_Divider_03"/>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="49dp"
            android:layout_gravity="center_horizontal"
            android:gravity="center">

        <LinearLayout
                android:id="@+id/llBtn2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/img_popup_btn_dv"
                android:gravity="center">

            <TextView
                    android:id="@+id/tvBtn2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:includeFontPadding="false"
                    android:text="@string/layout_cancel"
                    android:textColor="@drawable/d_font_color_font_03_color_font_04"
                    android:textSize="@dimen/size_font_09"
                    android:textStyle="bold"/>
        </LinearLayout>

        <View
                android:id="@+id/vLine"
                android:visibility="visible"
                style="@style/height_Divider_03"/>

        <LinearLayout
                android:id="@+id/llBtn1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/img_popup_btn_dv"
                android:gravity="center">

            <TextView
                    android:id="@+id/tvBtn1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:includeFontPadding="false"
                    android:text="@string/layout_next"
                    android:textColor="@drawable/d_font_color_font_03_color_font_04"
                    android:textSize="@dimen/size_font_09"
                    android:textStyle="bold"/>
        </LinearLayout>

    </LinearLayout>
</LinearLayout>
